org.eclipse.wst.jsdt.debug.core.jsdi.request

## Interface EventRequest

All Superinterfaces:
  Mirror

All Known Subinterfaces:
  BreakpointRequest, DebuggerStatementRequest, ExceptionRequest, ResumeRequest, ScriptLoadRequest, StepRequest, SuspendRequest, ThreadEnterRequest, ThreadExitRequest, VMDeathRequest, VMDisconnectRequest

    public interface EventRequest
    extends Mirror

Description of a JSDI request.

Since:
  1.0
See Also:
  `Mirror`
Restriction:
  This interface is not intended to be extended by clients.

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `isEnabled()` Returns if the request is enabled
`void` `setEnabled(boolean enabled)` Allows the enabled state of the request to be changed.

### Methods inherited from interface org.eclipse.wst.jsdt.debug.core.jsdi.Mirror

`virtualMachine`

### Method Detail

#### isEnabled

    boolean isEnabled()

Returns if the request is enabled

Returns:
  `true` if the request is enabled `false` otherwise

#### setEnabled

    void setEnabled(boolean enabled)

Allows the enabled state of the request to be changed.

Parameters:
  `enabled` - the new enabled state of the request